import { Params } from '..';
import { BaseCommander, savedParams } from './commander';
export default class Profiles extends BaseCommander {
    profilePath: string;
    defaultProfilePath: string;
    availableProfiles: string[];
    defaultProfileName: string | undefined;
    defaultProfile: [Params, savedParams] | undefined;
    isProfileKeys: string[];
    constructor();
    private loadDefaultProfile;
    protected initFolder(): string[];
    private hasTooManyProfileAction;
    protected profileAction(): boolean;
    private saveProfile;
    private setProfile;
    private deleteProfile;
    private listProfile;
    protected mergeProfileWithARGV(): void;
}
