import Downloader, { ParamsDL } from './downloader';
export default class Bridge extends Downloader {
    constructor(params: ParamsDL);
    static checkParams(params: Partial<ParamsDL>): ParamsDL;
    protected get parameters(): {
        passivePort: number[];
        throttle: number | undefined;
        nickname: string;
        chan: string[];
        path: string | boolean;
        botNameMatch: boolean;
        retry: number;
        timeout: number;
        verbose: boolean;
        randomizeNick: boolean | undefined;
        queue: RegExp | undefined;
    };
    config(params: Partial<{
        passivePort: number[];
        throttle: number;
        nickname: string;
        chan: string[];
        path: string | null;
        botNameMatch: boolean;
        retry: number;
        timeout: number;
        verbose: boolean;
        randomizeNick: boolean;
        queue: RegExp;
    }>): {
        passivePort: number[];
        throttle: number | undefined;
        nickname: string;
        chan: string[];
        path: string | boolean;
        botNameMatch: boolean;
        retry: number;
        timeout: number;
        verbose: boolean;
        randomizeNick: boolean | undefined;
        queue: RegExp | undefined;
    };
}
